Subject: bug#54025: 27.2; dired-do-find-regexp skips occurences

From: Michael Albinus <[email-masked]>
Date: Sat, 26 Feb 2022 12:56:51 +0100

Dmitry Gutov <[email-masked]> writes:

> Hi Michael,

Hi Dmitry,

> IIUC Tramp caches some information about files, and flushes those
> cashes after "destructive" operations. "Last modification time" could
> reside in such a cache.

In general, this is correct. But verify-visited-file-modtime is
different. Its task is to check, whether the buffer's known file
modification time is still valid; it could have changed on disk due to
external changes or so. That's why it cannot use the Tramp cache.

Best regards, Michael.